Sort Projects by status and custom field values
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Having worked with Redmine for a while, I now have many projects running. Some of them are active, other are not. Nevertheless,

while I can search / filter issues by their custom fields, it cannot do the same with projects. It would be really helpful, if the "/projects"

page could include filters and allow sorting of projects based on their status, as well as any custom fields that might have been

added. The fields themselves do not have to appear in any list format, as long as the project's title and description are shown, for the

filtered result.

I have searched for existing plugins and found one, yet it does not appear to function in version Redmine 3.x (

https://github.com/splendeo/redmine_project_filtering). Ideally, this kind of filtering would become a core part of Redmine, however, a

plugin would do - as long as anyone is able to maintain it. (Sadly I do not know ruby at all).

Related issues:

Is duplicate of Redmine - Feature #29482: Query system for Projects page Closed

History

#1 - 2016-06-30 16:44 - Radek Hrbacek

+1

#2 - 2018-09-04 00:49 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

I'm closing this ticket in favour of #29482 which contains a patch that adds the possibility to filter projects by status or by custom fields values.

#3 - 2018-09-04 00:50 - Marius BĂLTEANU

- Is duplicate of Feature #29482: Query system for Projects page added
